# GET /messaging/v1/securityHeaders

## Overview

Get a list of the security headers applied to a business unit's SAP-branded `view` and `click` domains.

### JSON Parameters

| Name        | Type   | Description                                                             |
| ----------- | ------ | ----------------------------------------------------------------------- |
| `data`      | array  | An array of objects described in [the `data` object](#the-data-object). |
| `requestId` | string | A string formatted as a GUID.                                           |

#### The `data` Object

| Name              | Type   | Description                                                                                   |
| ----------------- | ------ | --------------------------------------------------------------------------------------------- |
| `securityHeaders` | array  | An array of objects described in [the `securityHeaders` object](#the-securityheaders-object). |
| `pageType`        | string | The string value is `view` or `click`.                                                        |

#### The `securityHeaders` Object

| Name   | Type    | Description               |
| ------ | ------- | ------------------------- |
| `id`   | integer | The security header id.   |
| `name` | string  | The security header name. |

## Usage

### Example Request

```bash
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /messaging/v1/securityHeaders
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response

```json
HTTP/1.1 200
{
  "data": [
    {
      "securityHeaders": [
        { "id": 6, "name": "Cache-control" },
        { "id": 3, "name": "X-Content-Type-Options" },
        { "id": 5, "name": "Strict-Transport-Security" }
      ],
      "pageType": "view"
    },
    {
      "securityHeaders": [
        { "id": 6, "name": "Cache-control" },
        { "id": 3, "name": "X-Content-Type-Options" }
      ],
      "pageType": "click"
    }
  ],
  "requestId": "52b8733f-f0fd-4179-8cb9-f5a6a0f8b72e"
}
```

## Related Items

- [HTTP Security Headers Overview](/docs/marketing/marketing-cloud/references/mc_rest_security/securityHeaders-overview.md)
- [Get All HTTP Security Headers](/docs/marketing/marketing-cloud/references/mc_rest_security/securityHeaders-get-all.md)
- [Update HTTP Security Headers](/docs/marketing/marketing-cloud/references/mc_rest_security/securityHeaders-update.md)
- [Delete HTTP Security Headers](/docs/marketing/marketing-cloud/references/mc_rest_security/securityHeaders-delete.md)
